# typed: strict
# frozen_string_literal: true

module Stats
  class SquareRootEquation < TransformedEquation
    extend T::Sig

    protected

    sig { override.params(x: String).returns(String) }
    def transform_symbol(x)
      "√#{x}"
    end
  end
end
